summaryrefslogtreecommitdiffstats
path: root/root/etc
diff options
context:
space:
mode:
Diffstat (limited to 'root/etc')
-rwxr-xr-xroot/etc/networking.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/root/etc/networking.sh b/root/etc/networking.sh
index c1e6742e3..6eb967b14 100755
--- a/root/etc/networking.sh
+++ b/root/etc/networking.sh
@@ -84,8 +84,15 @@ configure () {
ipcalc -s "$if_netmask" || return
$DEBUG ifconfig $if $if_ip netmask $if_netmask up
- ipcalc -s "$ip_gateway" || return
- $DEBUG route add default gw $ip_gateway
+ ipcalc -s "$if_gateway" || return
+ $DEBUG route add default gw $if_gateway
+
+ [ -f /etc/resolv.conf ] && return
+
+ echo "# --- creating /etc/resolv.conf ---"
+ for dns in $(nvram_get ${if}_dns); do {
+ echo "nameserver $dns" >> /etc/resolv.conf
+ }; done
;;
dhcp)
pidfile=/tmp/dhcp-${type}.pid